
QGIS Application - Bug report #9445

crash during diagram creation

2014-01-28 03:55 AM - matteo ghetta

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: debian Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 18039

Description

Hi,

qgis crashes when trying to create histogram diagram (no matter which variables or how many variables). 

No problem with pie chart and text diagrams. 

In attach there is a small sample dataset.

Associated revisions

Revision 5a64215b - 2014-02-07 12:31 PM - Martin Dobias

Fix #9445 (crash during histogram diagram creation)

History

#1 - 2014-01-31 10:48 PM - Matthias Kuhn

- Target version set to Future Release - High Priority

- Priority changed from Normal to Severe/Regression

Marking this as a blocker. A crash for a basic thing like this should be considered a serious issue.

Please confirm and add a stacktrace if possible.

#2 - 2014-02-01 02:03 AM - matteo ghetta

Hi Matthias,

problem still there (qgis master updated this morning with debian-nightly repo). This the stacktrace:

ERROR 1: Use of field function MAX on string field ID illegal.

ERROR 1: Use of field function MAX on string field ID illegal.

ERROR 1: Use of field function MAX on string field ID illegal.

ERROR 1: Use of field function MAX on string field ID illegal.

ERROR 1: Use of field function MAX on string field ID illegal.

ERROR 1: Use of field function MAX on string field ID illegal.

qgis.bin: /tmp/buildd/qgis-2.1.0+git20140201+346df98~wheezy1/src/core/pal/rtree.hpp:1392: void pal::RTree<DATATYPE, ELEMTYPE, NUMDIMS,

ELEMTYPEREAL, TMAXNODES, TMINNODES>::Classify(int, int, pal::RTree<DATATYPE, ELEMTYPE, NUMDIMS, ELEMTYPEREAL, TMAXNODES,

TMINNODES>::PartitionVars*) [with DATATYPE = pal::LabelPosition*; ELEMTYPE = double; int NUMDIMS = 2; ELEMTYPEREAL = double; int

TMAXNODES = 8; int TMINNODES = 4]: asserzione "!a_parVars->m_taken[a_index]" non riuscita.

Annullato
I verified that with the same layer and same attributes there are no problem with pie chart and text diagram.

#3 - 2014-02-07 01:26 AM - Martin Dobias

- Assignee set to Martin Dobias

#4 - 2014-02-07 03:32 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"5a64215bd2bd6239a868a60c3f5c26ded518c61b".
